/*
@font-face {
  font-family: 'sohne-var';
  src: url('/fonts/sohne.woff2') format('woff2');
  font-display:swap;
}
*/

@font-face {
  font-family:'Croogla 4F Bold';
  src: url( '/fonts/croogla-4f-bold.otf' ) format( 'opentype' );
}

@font-face {
  font-family:'Croogla 4F Regular';
  src: url( '/fonts/croogla-4f-regular.otf' ) format( 'opentype' );
}

@font-face {
  font-family:'Croogla 4F Medium';
  src: url( '/fonts/croogla-4f-medium.otf' ) format( 'opentype' );
}

@font-face {
  font-family:'Croogla 4F Light';
  src: url( '/fonts/croogla-4f-light.otf' ) format( 'opentype' );
}

@font-face {
  font-family:'Croogla 4F Extra Light';
  src: url( '/fonts/croogla-4f-extralight.otf' ) format( 'opentype' );
}

h1 {font-size:3em !important;}
h2 {font-size:2em !important;}
h3 {font-size:1.8em !important;}
h4 {font-size:1.5em !important;}
h5 {font-size:1.2em !important;}
h6 {font-size:1em !important;}

.text-white {
  color:white !important;
}
.text-black {
  color:black !important;
}

.login-lg-container {
  padding:100px 50px 0px 50px;
  width:550px;
  height:80vh;
  font-weight:normal;
  border-radius:10px;
  box-shadow: rgba(18, 28, 45, 0.2) 0px 4px 16px 0px;
  margin-bottom:100px !important;
}

.login-lg {
  height:60px;
}

.login-lg-text {
  font-size:20px;
}

.login-lg::placeholder           { font-size:18px !important; }
.login-lg:-ms-input-placeholder  { font-size:18px !important; }
.login-lg::-ms-input-placeholder { font-size:18px !important; }

.signup-lg-container {
  padding:50px 50px 50px 50px;
  height:80vh;
  font-weight:normal;
  border-radius:10px;
  box-shadow: rgba(18, 28, 45, 0.2) 0px 4px 16px 0px;
  width:550px;
  height:80vh;
}

.signup-lg {
  height:60px;
}

.signup-lg-wrap {
  height:90vh;
  padding:50px;
}



/* smartphones, iPhone, portrait 480x320 phones */ 
@media (min-width:320px)  { 
  .navbar {
    margin-bottom:10px !important;
  }

  /*
   * shrink down fullcalendar ui on mobile
   */
  .fc-today-button,
  .fc-prev-button,
  .fc-next-button 
  { 
    padding:0px 2px !important;
  }

  .fc-toolbar-title {
    font-size:1em !important;
  }
}

@media (min-width:481px)  { /* portrait e-readers (Nook/Kindle), smaller tablets @ 600 or @ 640 wide. */ 
}

@media (min-width:641px)  { /* portrait tablets, portrait iPad, landscape e-readers, landscape 800x480 or 854x480 phones */ 
}

@media (min-width:961px)  { /* tablet, landscape iPad, lo-res laptops ands desktops */ 
}

@media (min-width:1025px) { /* big landscape tablets, laptops, and desktops */ 
}

@media (min-width:1281px) { /* hi-res laptops and desktops */
}

/*
 * macbook pro taller /login
 */
@media(max-height:982px) {
  .login-lg-container {
    padding:75px 15px 15px 15px;
    height:90vh;
  }
}

::-webkit-datetime-edit { padding: 2 em; }
::-webkit-datetime-edit-fields-wrapper { background:green; }
::-webkit-datetime-edit-text { color: blue; padding: 0 0.3em; }
::-webkit-datetime-edit-month-field { color: red; }
::-webkit-datetime-edit-day-field { color: orange; }
::-webkit-datetime-edit-year-field { color: red; }

body,html {
  background: #efeff5;
  font-family:'LatoWeb';
}


.availa_avatar_container {
  border:1px solid #ccc;
  padding:5px 10px;
}
.availa_avatar_container a:link, .availa_avatar_container a:visited {
  color:black;
}
 
a:link, a:visited {
  text-decoration:none;
}
.navbar  {
  /* background: #efeff5 !important; */
  padding-left:50px;
  padding-right:50px;
  margin-bottom:75px;
  
}

.navbarNoFlex {
  padding-left:50px;
  padding-right:50px;
  margin-bottom:75px;
  position: relative;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-top: .5rem;
  padding-bottom: .5rem;
}

.bold {
  font-weight: 700;
}
.login_title {
  font-family:'LatoWeb';
}
.login_btn {
  padding: 0.61rem 0.305rem !important;
  font-weight: bold;
}
.btn-primary {
  color:white !important;
  background:#506ee4;
  font-family:'LatoWeb';
}
.btn-secondary {
  background:#ccc !important;
  color:black !important;
  border:1px solid #ccc !important;
  font-family:'LatoWeb';
}
.btn-danger {
  color:white !important;
  font-family:'LatoWeb';
}
.btn-close {
  font-size:.6em !important;
  margin-right:5px;
}
.bg-primary {
  background:#506ee4 !important;
}
.rounded-pill {
  padding:8px;
  margin:2px;
  display:inline-flex;
  align-items:center;
}
.footer {
  background:white;
  color:black;
  margin-top:75px;
}
.navbar {
  height:100px;
  background:white;
}
.nopadnomarg {
  padding:0px !important;
  margin:0px !important;
}
.nomarg {
  margin:0px !important;
}
.nopad {
  padding:0px !important;
}



/* 
.input-group-text {
  border-radius:0 !important;
  font-family:'LatoWeb';
} */

.input-group {
  position: relative;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
  flex-wrap: wrap;
  -webkit-box-align: stretch;
  -ms-flex-align: stretch;
  align-items: stretch;
  width: 100%;
}
.input-group-prepend {
  margin-right: -1px;
}
.input-group-prepend,
.input-group-append {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}
.input-group > .input-group-prepend > .btn,
.input-group > .input-group-prepend > .input-group-text,
.input-group > .input-group-append:not(:last-child) > .btn,
.input-group > .input-group-append:not(:last-child) > .input-group-text,
.input-group > .input-group-append:last-child > .btn:not(:last-child):not(.dropdown-toggle),
.input-group > .input-group-append:last-child > .input-group-text:not(:last-child) {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}
.input-group-text {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
  -ms-flex-align: center;
  align-items: center;
  padding: 0.65rem 1rem;
  margin-bottom: 0;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #a1a8c3;
  text-align: center;
  white-space: nowrap;
  background-color: #f7f8fa;
  border: 1px solid #ebedf2;
  border-radius: 0.25rem;
  border-top-right-radius: 0.25rem;
  border-bottom-right-radius: 0.25rem;
}
.input-group-text,
.form-control {
  border: 1px solid #e0e0e0 !important;
}
.input-group i {
  color: #a1a8c3;
  line-height: 0;
}

select {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  font-family:'LatoWeb' !important;
  font-size:1rem !important;
}

.form-select {
  border-radius: 0 !important;
}
.form-control {
  font-family:'LatoWeb';
  display: block;
  width: 100%;
  padding: .375rem .75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  border-radius: 0 !important;
  transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}

.form-select-inline {
  display:inline !important;
  width:auto;
}

.form-group {
  font-family:'LatoWeb';
  margin-bottom: 2rem;
}

.signup-lg-form-group {
  margin-bottom:1rem;
}

.underline {
  text-decoration:underline !important;
}
.availa_port {
  border-radius: 5px 5px;
  box-shadow: 0 7px 7px 0 rgba(59, 65, 94, 0.1), 0 3px 6px 0 rgba(0, 0, 0, 0.07);
  margin-bottom: 15px;
  background: white;
  overflow: hidden;
  /* keeps rounded div edge with colored bgs */
}

.availa_port_head {
  border-radius: 5px 5px 0px 0px;
  border-bottom:1px solid #ccc;
  padding: 10px 10px 5px 10px;
  font-size:.9em;
}
.availa_port_head_sm {
  border-radius: 5px 5px 0px 0px;
  border-bottom:1px solid #ccc;
  padding: 5px 5px 2px 5px;
  font-size:.8em;
}
.availa_port_head a:link, .availa_port_head a:visited {
  font-size:.9em;
}
.availa_port_head_nav {
  border-radius: 5px 5px 0px 0px;
  color: #555555;
  background: #506ee4;
  /* border-bottom:1px double #344050; */
  padding: 20px 20px 5px 20px;
  min-height: 150px;
  font-weight: bold;
  font-size: 1.4em;
}
.availa_port_body {
  font-family:'LatoWeb';
  padding: 1rem;
  color: #555555;
  background: white;
  font-size:1em;
  min-height:400px;
}
.availa_port_body_sm {
  font-family:'LatoWeb';
  padding: 1rem;
  color: #555555;
  background: white;
  font-size:.8em;
}
.availa_port,
.availa_port_body,
.availa_port_body_sm {
  /* border-left:1px solid #eee !important; */
}
/*
 * only pad port on desktop
 */
@media only screen 
and (min-device-width : 768px) {
  .availa_port_body {
    padding:25px 75px;
  }
}

.availa_port_body a:link,
.availa_port_body a:visited {
  color: #506ee4;
}
.availa_port_foot {
  border-radius: 0px 0px 5px 5px;
  /*border-top:1px dashed @text_color;*/
  padding: 5px 20px 20px 20px;
  font-size: 0.9em;
  color: #555555;
  background: #f9fafd;
}

.availa_port_card {
  border-radius: 5px 5px;
  box-shadow: 0 7px 7px 0 rgba(59, 65, 94, 0.1), 0 3px 6px 0 rgba(0, 0, 0, 0.07);
  background: white;
  overflow: hidden;
  margin-bottom:20px;
  height:150px;
  max-height:150px;
  /* border:1px solid red; */  
  display:-webkit-box;
  display:-webkit-flex;
  display:-ms-flexbox;
  display:flex;
  cursor:pointer;
}

.availa_port_card:hover {
  box-shadow: 0 7px 7px 0 rgba(59, 65, 94, 0.3), 0 3px 6px 0 rgba(0, 0, 0, 0.09);
}

.availa_port_card_body {
  font-size:.8em;
  padding: 1rem;
  color: #555555;
  background: white;
}
































.availa_port2 {
  margin-bottom:12px;
  /* border-bottom:1px solid #ccc; */
  /* background: white; */
  background: #efeff5;
  overflow: hidden;
}

.availa_port2_body {
  font-family:'LatoWeb';
  padding: 1rem;
  color: #555555;
  background: #efeff5;
}

.availa_port2_body a:link,
.availa_port2_body a:visited {
  color: #506ee4;
}

.fsp_picker {
  /* without hardcoding the sizes it doesn't show on all pages */
  width:400px !important;
  height:400px !important;

  /* this scales the pages nicer but on some pages becomes blank */
  /* 
  width:auto;
  height:100%; 
  */
}

.fsp_picker {
  z-index:1 !important;
  margin:0px !important;
}

.fsp_modal, .fsp-content {
  z-index:1 !important;
  height:100%;
  width:auto;
  margin:0px !important;
}

.fsp_picker * {
  z-index:1 !important;
}

/* -- or -- text and upload folders button */
.fsp-drop-area__separator,
.fsp-text__subheader,
.fsp-drop-area__button {
  display:none !important;
}

.fsp-header {
  display: none !important;
}

.hidden {
  display:none !important;
}

.landing_page_photos {
  display: flex;
  flex-wrap: no-wrap;
  overflow-x: auto;
  margin: 20px;
}

.landing_page_photos > img {
  flex: 0 0 auto;
  width: auto;
  height: 100px;
  max-width: 100%;
  margin-right: 10px;
}

.landing_page_color {
  cursor:pointer;
  width:25px;
  height:25px;
  border-radius:50px;
  margin:0px;
  display:inline-block;
}

.landing_page_color_active {
  border:3px solid #0dcaf0 !important;

}

fieldset {
  padding:30px;
}

.clicky {
  border: 1px solid #e0e0e0 !important;
  cursor: pointer;
  padding:30px;
}
.clickyimg {
  position: relative;
  left: 30%;
  top: 20%;
  font-size: 2.5rem;
}
.clickysmallimg {
  font-size: 0.9rem;
}
.clicky h6 {
  display: inline;
}
.clicky_disabled {
  color: #c0c0c0 !important;
}
.clicky_on {
  background: #506ee4 !important;
  color: white !important;
}

/*
 * full calendar past days
 */ 
.fc-event-past {
  background:#efeff5 !important;
}

/*
 * full calendar days/nums
 */
.fc a {
  text-decoration:none !important;
}

/*
 * side nav bg 
 */
.offcanvas,.list-group-item,.list-group-item-action {
  background:#efeff5 !important;
  border-radius:none !important;
}

.list-group-item.active {
  background:#ddd !important;
  border: var(--bs-list-group-border-width) solid var(--bs-list-group-border-color);
  color:black;
}


/*
 * remove side padding on top nav bar
 */
.navbarNoFlex {
  padding-left:25px;
  padding-right:25px;
}




















/*
* begin available.com theme styles
*/


.button__text {
  vertical-align: middle;
  font-size: 14px;
  transition: opacity .2s ease,-webkit-transform .2s ease;
  transition: opacity .2s ease,transform .2s ease;
  transition: opacity .2s ease,transform .2s ease,-webkit-transform .2s ease;
}

.button__text-lg {
  vertical-align: middle;
  font-size: 24px;
  transition: opacity .2s ease,-webkit-transform .2s ease;
  transition: opacity .2s ease,transform .2s ease;
  transition: opacity .2s ease,transform .2s ease,-webkit-transform .2s ease;
}

.style-black-1 .bg-main, .style-black-1 .content_box ul li::before, .content_box ul .style-black-1 li::before, .style-black-1 .comps .button--accent-bg, .comps .style-black-1 .button--accent-bg, .style-black-1 .store-button:hover, .style-black-1 .circle-button--accent-bg, .style-black-1 .circle-button--accent-bg .circle-button__hover_bg, .circle-button--accent-bg .style-black-1 .circle-button__hover_bg, .style-black-1 .circle-button--light-bg:hover, .style-black-1 .radio__check::before, .style-black-1 .checkbox__check::before, .style-black-1 .slick-dots li.slick-active button, .slick-dots li.slick-active .style-black-1 button, .style-black-1 .social-buttons__link--circle, .style-black-1 .roadmap-01__column, .style-black-1 .cta_button-25__item::before, .style-black-1 .testimonials-05__blue_box::before, .style-black-1 .features-02__number::before, .style-black-1 .features-09__item--new .tag, .features-09__item--new .style-black-1 .tag, .style-black-1 .features-15__item::before, .style-black-1 .bg-medium-color .steps-01__list::before, .bg-medium-color .style-black-1 .steps-01__list::before, .style-black-1 .bg-light-color .steps-01__list::before, .bg-light-color .style-black-1 .steps-01__list::before {
  background-color: #303030;
}
.button--accent-bg {
  color: white;
}
.button--danger-bg {
  background:#dc3545;
}
.button--outline-danger-bg {
  background:white;
  border:1px solid #dc3545 !important;
}
.text-red {
  color:#dc3545;
}
.text-primary {
  color:#5f819d !important;
}
.text-success {
  color:#198754;
}
.text-info {
  filter:brightness(70%);
}
.text-success {
  filter:brightness(150%);
}

.button--outline-secondary-bg {
  background:white;
  border:1px solid #ccc !important;
}
.button--outline-success-bg {
  border:1px solid #198754 !important;
}
.button--outline-primary-bg {
  border:1px solid #232323 !important;
}
.button--outline-accent-bg {
  background:white;
  border:1px solid #5f819d !important;
}
.button--secondary-bg {
  background:#ccc !important;
}
.button--accent-outline-bg {
  border:1px solid #ccc !important;
  background:none !important;
}
.button {
  overflow: hidden;
  display: inline-block;
  position: relative;
  padding: 12px 20px 12px;
  min-width: 120px;
  border: 2px solid transparent;
  min-height: 44px;
  border-radius: 4px;
  /* box-shadow: 0 2px 4px 0 rgba(136,144,195,0.2),0 5px 15px 0 rgba(37,44,97,0.15); */
  font-size: 0;
  line-height: 1.2;
  font-weight: 700;
  -webkit-user-select: none;
  user-select: none;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,-webkit-transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease,-webkit-transform .2s ease;
}
.button-lg {
  overflow: hidden;
  display: inline-block;
  position: relative;
  padding: 20px 28px 20px;
  min-width: 60px;
  border: 2px solid transparent;
  min-height: 24px;
  border-radius: 4px;
  box-shadow: 0 2px 4px 0 rgba(136,144,195,0.2),0 5px 15px 0 rgba(37,44,97,0.15);
  font-size: 0;
  line-height: 1.2;
  /* font-weight: 700; */
  -webkit-user-select: none;
  user-select: none;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,-webkit-transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease,-webkit-transform .2s ease;
}
.button-sm {
  overflow: hidden;
  display: inline-block;
  position: relative;
  padding: 2px 10px 2px;
  min-width: 60px;
  border: 2px solid transparent;
  min-height: 24px;
  border-radius: 4px;
  box-shadow: 0 2px 4px 0 rgba(136,144,195,0.2),0 5px 15px 0 rgba(37,44,97,0.15);
  font-size: 0;
  line-height: 1.2;
  /* font-weight: 700; */
  -webkit-user-select: none;
  user-select: none;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,-webkit-transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease;
  transition: color .2s ease,background-color .2s ease,border-color .2s ease,box-shadow .2s ease,transform .2s ease,-webkit-transform .2s ease;
}
.button--white-bg {
  background-color: #F6F6F6;
  color: #303030;
}
.button--accent-bg,
.button--accent-bg:hover, 
.button--accent-bg:hover {
  background-color: #232323;
	color:#fff;
}
a.button:link, a.button:visited {
  color:#303030;
}
/*
* end
*/ 

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #aaa !important;
  opacity: 1; /* Firefox */
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #aaa !important;
}

::-ms-input-placeholder { /* Microsoft Edge */
  color: #aaa !important;
} 

/* begin datatable tweaks */
.dataTables_wrapper .table {
  vertical-align:middle;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.current {
  background:#f8f8f8;
}

.dataTables_wrapper .dataTables_paginate .paginate_button {
  padding:1px !important;
  
}
.dataTables_wrapper table tr th {
  background:#fafafa;
}

#table_length,
#table_info,
#table_filter,
.paginate a.previous, 
.paginate a.next {
  font-size:.8em !important;
  color:#aaa !important;
}

.dataTables_wrapper .dataTables_paginate .paginate_button.disabled {

  color:#aaa !important;
}
.dataTables_wrapper table tr {
  border:none !important;
  border-color:none !important;
}

.table-striped > tbody > tr:nth-of-type(2n+1) > * {
  --bs-table-accent-bg:none !important;
  color:none !important;
}

.dataTables_wrapper table tr.odd {
   background:#f8f8f8 !important;
  
}
.dataTables_wrapper table tr {
  border-top:1px solid #e5e5e5 !important;
  border-bottom:1px solid #e5e5e5 !important;
}
.dataTables_wrapper table tr:hover {
  background:#ffd !important;
}

.dataTables_filter {
  position: relative;
}

.dataTables_filter input {
  width: 250px;
  height: 32px;
  background: #fcfcfc;
  border: 1px solid #f8f8f8;
  border-radius: 5px;
  box-shadow: 0 0 3px #eee, 0 5px 10px #eaeaea inset;
  text-indent: 10px;
}

.dataTables_filter .fa-search {
  position: absolute;
  top: 10px;
  left: auto;
  right: 10px;
}

#table_info,
.dataTables_paginate {
  width: 100%;
  text-align:center;
  display:flex;
  justify-content:center;
}
.dataTables_paginate {
  margin-top:10px;
}

/* end datatable tweaks */

.input_is_valid {
  border:1px solid #8c9440 !important;
}
.input_is_invalid {
  border:1px solid #cc6666 !important;
}

.text-muted {
  color:#888 !important;
}
.text-right {
  text-align:right;
}
.text-small {
  font-size:.8em !important;
}
.text-secondary {
  color:#ccc;
}

.small {
  font-size:.8em;
}

/*
* make smaller spinner fit inside button without changing button size
*/
.spinner-border-sm,
.spinner-grow-sm {
  --bs-spinner-width: .7rem;
  --bs-spinner-height: .7rem;
  --bs-spinner-border-width: 0.1em;
}

.navbar-light,
.bg-light,
.availa_port_body .dropdown {
  background:white !important;
}  

/* 
not working but scott will ask for it watch

#leftnav,#leftnav2 {
  border-right:1px solid #eee !important;
} */

hr.black {
  border-color:black !important;
}

.hand,
.pointer {
  cursor:pointer;
}

.jtable-toolbar-item-add-record {
  color:#0d6efd !important;
}


.signup-feature-text {
  /* font-family:'Croogla 4F Bold'; */
  /*font-family:'Croogla 4F Regular'; */
  /* font-family:'Croogla 4F Medium'; */
  /* font-family:'Croogla 4F Light'; */
  font-family:'Croogla 4F Extra Light';
}

.largerCheckbox {
  width:25px;
  height:25px;
}

/* start activity feed light rules */
.activity-feed-foot {
  font-size:.6em;
  color:#999;
  margin-top:10px;
}

.activity-feed-filter-button {
  background:white;
  filter:brightness(80%);
  box-shadow:none !important;
}

.activity-feed-filter-button-reset {
  background:white;
  filter:brightness(80%);
  box-shadow:none !important;
}

.activity-feed-filter-button-reset span {
  color:#555;
}

.activity-feed-filter {
  background:#eee;
}

.activity-feed-filter-active {
  padding-bottom:5px;
  border-bottom:2px solid rgb(255, 193, 7);/* text-warning color with brightness hack i guess */
}

.activity-feed-pill {
  padding:5px;
  border-radius:30px;
  font-size:.8em;
  background:#dc3545;
  color:white;  
}

.activity-feed-pill-header {
  padding:5px;
  border-radius:30px;
  font-size:.8em;
  background:#dc3545;
  color:white;  
  position:relative;
  left:-15px;
}
.activity-feed-pill-new {
  padding:2px;
  border-radius:2px;
  font-size:.7em;
  text-transform:uppercase;
  background:#dc3545;
  color:white;  
}

.activity-feed-underline {
  padding:5px;
  font-size:.8em;
  border-bottom:2px solid #dc3545;
  color:#dc3545;
}

.activity-feed-filter-pill {
  padding:2px;
  border-radius:30px;
  font-size:1em;
  background:#dc3545;
  color:white;
}

.activity-feed-small {
  font-size:.7em;
}

/* end activity feed light rules */














/*
 * tom select
 */ 
.ts-control {
  border:none !important;
  padding:5px 0px !important;  
}

@media (max-width:320px)  { 
  .ts-control {
    padding:8px 0px !important;
  } 
} 

.ts-control input,.ts-dropdown {
  font-family:'LatoWeb' !important;
  font-size:1rem !important;
}

.ts-dropdown {
  padding:20px !important;
}
.ts-dropdown .option,
.ts-dropdown .create {
  margin-bottom:20px !important;
}








:root {
  --dt-row-selected: 13, 110, 253;
  --dt-row-selected-text: 255, 255, 255;
  --dt-row-selected-link: 9, 10, 11;
}
 
table.dataTable td.dt-control {
  text-align: center;
  cursor: pointer;
}
table.dataTable td.dt-control:before {
  height: 1em;
  width: 1em;
  margin-top: -9px;
  display: inline-block;
  color: white;
  border: 0.15em solid white;
  border-radius: 1em;
  box-shadow: 0 0 0.2em #444;
  box-sizing: content-box;
  text-align: center;
  text-indent: 0 !important;
  font-family: "Courier New", Courier, monospace;
  line-height: 1em;
  content: "+";
  background-color: #31b131;
}
table.dataTable tr.dt-hasChild td.dt-control:before {
  content: "-";
  background-color: #d33333;
}
 
table.dataTable thead > tr > th.sorting, table.dataTable thead > tr > th.sorting_asc, table.dataTable thead > tr > th.sorting_desc, table.dataTable thead > tr > th.sorting_asc_disabled, table.dataTable thead > tr > th.sorting_desc_disabled,
table.dataTable thead > tr > td.sorting,
table.dataTable thead > tr > td.sorting_asc,
table.dataTable thead > tr > td.sorting_desc,
table.dataTable thead > tr > td.sorting_asc_disabled,
table.dataTable thead > tr > td.sorting_desc_disabled {
  cursor: pointer;
  position: relative;
  padding-right: 26px;
}
table.dataTable thead > tr > th.sorting:before, table.dataTable thead > tr > th.sorting:after, table.dataTable thead > tr > th.sorting_asc:before, table.dataTable thead > tr > th.sorting_asc:after, table.dataTable thead > tr > th.sorting_desc:before, table.dataTable thead > tr > th.sorting_desc:after, table.dataTable thead > tr > th.sorting_asc_disabled:before, table.dataTable thead > tr > th.sorting_asc_disabled:after, table.dataTable thead > tr > th.sorting_desc_disabled:before, table.dataTable thead > tr > th.sorting_desc_disabled:after,
table.dataTable thead > tr > td.sorting:before,
table.dataTable thead > tr > td.sorting:after,
table.dataTable thead > tr > td.sorting_asc:before,
table.dataTable thead > tr > td.sorting_asc:after,
table.dataTable thead > tr > td.sorting_desc:before,
table.dataTable thead > tr > td.sorting_desc:after,
table.dataTable thead > tr > td.sorting_asc_disabled:before,
table.dataTable thead > tr > td.sorting_asc_disabled:after,
table.dataTable thead > tr > td.sorting_desc_disabled:before,
table.dataTable thead > tr > td.sorting_desc_disabled:after {
  position: absolute;
  display: block;
  opacity: 0.125;
  right: 10px;
  line-height: 9px;
  font-size: 0.8em;
}
table.dataTable thead > tr > th.sorting:before, table.dataTable thead > tr > th.sorting_asc:before, table.dataTable thead > tr > th.sorting_desc:before, table.dataTable thead > tr > th.sorting_asc_disabled:before, table.dataTable thead > tr > th.sorting_desc_disabled:before,
table.dataTable thead > tr > td.sorting:before,
table.dataTable thead > tr > td.sorting_asc:before,
table.dataTable thead > tr > td.sorting_desc:before,
table.dataTable thead > tr > td.sorting_asc_disabled:before,
table.dataTable thead > tr > td.sorting_desc_disabled:before {
  bottom: 50%;
  content: "▲";
  content: "▲"/"";
}
table.dataTable thead > tr > th.sorting:after, table.dataTable thead > tr > th.sorting_asc:after, table.dataTable thead > tr > th.sorting_desc:after, table.dataTable thead > tr > th.sorting_asc_disabled:after, table.dataTable thead > tr > th.sorting_desc_disabled:after,
table.dataTable thead > tr > td.sorting:after,
table.dataTable thead > tr > td.sorting_asc:after,
table.dataTable thead > tr > td.sorting_desc:after,
table.dataTable thead > tr > td.sorting_asc_disabled:after,
table.dataTable thead > tr > td.sorting_desc_disabled:after {
  top: 50%;
  content: "▼";
  content: "▼"/"";
}
table.dataTable thead > tr > th.sorting_asc:before, table.dataTable thead > tr > th.sorting_desc:after,
table.dataTable thead > tr > td.sorting_asc:before,
table.dataTable thead > tr > td.sorting_desc:after {
  opacity: 0.6;
}
table.dataTable thead > tr > th.sorting_desc_disabled:after, table.dataTable thead > tr > th.sorting_asc_disabled:before,
table.dataTable thead > tr > td.sorting_desc_disabled:after,
table.dataTable thead > tr > td.sorting_asc_disabled:before {
  display: none;
}
table.dataTable thead > tr > th:active,
table.dataTable thead > tr > td:active {
  outline: none;
}
 
div.dataTables_scrollBody > table.dataTable > thead > tr > th:before, div.dataTables_scrollBody > table.dataTable > thead > tr > th:after,
div.dataTables_scrollBody > table.dataTable > thead > tr > td:before,
div.dataTables_scrollBody > table.dataTable > thead > tr > td:after {
  display: none;
}
 
div.dataTables_processing {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 200px;
  margin-left: -100px;
  margin-top: -26px;
  text-align: center;
  padding: 2px;
}
div.dataTables_processing > div:last-child {
  position: relative;
  width: 80px;
  height: 15px;
  margin: 1em auto;
}
div.dataTables_processing > div:last-child > div {
  position: absolute;
  top: 0;
  width: 13px;
  height: 13px;
  border-radius: 50%;
  background: #0d6efd;
  background: rgb(var(--dt-row-selected));
  animation-timing-function: cubic-bezier(0, 1, 1, 0);
}
div.dataTables_processing > div:last-child > div:nth-child(1) {
  left: 8px;
  animation: datatables-loader-1 0.6s infinite;
}
div.dataTables_processing > div:last-child > div:nth-child(2) {
  left: 8px;
  animation: datatables-loader-2 0.6s infinite;
}
div.dataTables_processing > div:last-child > div:nth-child(3) {
  left: 32px;
  animation: datatables-loader-2 0.6s infinite;
}
div.dataTables_processing > div:last-child > div:nth-child(4) {
  left: 56px;
  animation: datatables-loader-3 0.6s infinite;
}
 
@keyframes datatables-loader-1 {
  0% {
    transform: scale(0);
  }
  100% {
    transform: scale(1);
  }
}
@keyframes datatables-loader-3 {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(0);
  }
}
@keyframes datatables-loader-2 {
  0% {
    transform: translate(0, 0);
  }
  100% {
    transform: translate(24px, 0);
  }
}
table.dataTable.nowrap th, table.dataTable.nowrap td {
  white-space: nowrap;
}
table.dataTable th.dt-left,
table.dataTable td.dt-left {
  text-align: left;
}
table.dataTable th.dt-center,
table.dataTable td.dt-center,
table.dataTable td.dataTables_empty {
  text-align: center;
}
table.dataTable th.dt-right,
table.dataTable td.dt-right {
  text-align: right;
}
table.dataTable th.dt-justify,
table.dataTable td.dt-justify {
  text-align: justify;
}
table.dataTable th.dt-nowrap,
table.dataTable td.dt-nowrap {
  white-space: nowrap;
}
table.dataTable thead th,
table.dataTable thead td,
table.dataTable tfoot th,
table.dataTable tfoot td {
  text-align: left;
}
table.dataTable thead th.dt-head-left,
table.dataTable thead td.dt-head-left,
table.dataTable tfoot th.dt-head-left,
table.dataTable tfoot td.dt-head-left {
  text-align: left;
}
table.dataTable thead th.dt-head-center,
table.dataTable thead td.dt-head-center,
table.dataTable tfoot th.dt-head-center,
table.dataTable tfoot td.dt-head-center {
  text-align: center;
}
table.dataTable thead th.dt-head-right,
table.dataTable thead td.dt-head-right,
table.dataTable tfoot th.dt-head-right,
table.dataTable tfoot td.dt-head-right {
  text-align: right;
}
table.dataTable thead th.dt-head-justify,
table.dataTable thead td.dt-head-justify,
table.dataTable tfoot th.dt-head-justify,
table.dataTable tfoot td.dt-head-justify {
  text-align: justify;
}
table.dataTable thead th.dt-head-nowrap,
table.dataTable thead td.dt-head-nowrap,
table.dataTable tfoot th.dt-head-nowrap,
table.dataTable tfoot td.dt-head-nowrap {
  white-space: nowrap;
}
table.dataTable tbody th.dt-body-left,
table.dataTable tbody td.dt-body-left {
  text-align: left;
}
table.dataTable tbody th.dt-body-center,
table.dataTable tbody td.dt-body-center {
  text-align: center;
}
table.dataTable tbody th.dt-body-right,
table.dataTable tbody td.dt-body-right {
  text-align: right;
}
table.dataTable tbody th.dt-body-justify,
table.dataTable tbody td.dt-body-justify {
  text-align: justify;
}
table.dataTable tbody th.dt-body-nowrap,
table.dataTable tbody td.dt-body-nowrap {
  white-space: nowrap;
}
 
/*
 * Table styles
 */
table.dataTable {
  width: 100%;
  margin: 0 auto;
  clear: both;
  border-collapse: separate;
  border-spacing: 0;
  /*
   * Header and footer styles
   */
  /*
   * Body styles
   */
}
table.dataTable thead th,
table.dataTable tfoot th {
  font-weight: bold;
}
table.dataTable thead th,
table.dataTable thead td {
  padding: 10px;
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}
table.dataTable thead th:active,
table.dataTable thead td:active {
  outline: none;
}
table.dataTable tfoot th,
table.dataTable tfoot td {
  padding: 10px 10px 6px 10px;
  border-top: 1px solid rgba(0, 0, 0, 0.3);
}
table.dataTable tbody tr {
  background-color: transparent;
}
table.dataTable tbody tr.selected > * {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.9);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected), 0.9);
  color: white;
  color: rgb(var(--dt-row-selected-text));
}
table.dataTable tbody tr.selected a {
  color: #090a0b;
  color: rgb(var(--dt-row-selected-link));
}
table.dataTable tbody th,
table.dataTable tbody td {
  padding: 8px 10px;
}
table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td {
  border-top: 1px solid rgba(0, 0, 0, 0.15);
}
table.dataTable.row-border tbody tr:first-child th,
table.dataTable.row-border tbody tr:first-child td, table.dataTable.display tbody tr:first-child th,
table.dataTable.display tbody tr:first-child td {
  border-top: none;
}
table.dataTable.cell-border tbody th, table.dataTable.cell-border tbody td {
  border-top: 1px solid rgba(0, 0, 0, 0.15);
  border-right: 1px solid rgba(0, 0, 0, 0.15);
}
table.dataTable.cell-border tbody tr th:first-child,
table.dataTable.cell-border tbody tr td:first-child {
  border-left: 1px solid rgba(0, 0, 0, 0.15);
}
table.dataTable.cell-border tbody tr:first-child th,
table.dataTable.cell-border tbody tr:first-child td {
  border-top: none;
}
table.dataTable.stripe > tbody > tr.odd > *, table.dataTable.display > tbody > tr.odd > * {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.023);
}
table.dataTable.stripe > tbody > tr.odd.selected > *, table.dataTable.display > tbody > tr.odd.selected > * {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.923);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.923));
}
table.dataTable.hover > tbody > tr:hover > *, table.dataTable.display > tbody > tr:hover > * {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.035);
}
table.dataTable.hover > tbody > tr.selected:hover > *, table.dataTable.display > tbody > tr.selected:hover > * {
  box-shadow: inset 0 0 0 9999px #0d6efd !important;
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 1)) !important;
}
table.dataTable.order-column > tbody tr > .sorting_1,
table.dataTable.order-column > tbody tr > .sorting_2,
table.dataTable.order-column > tbody tr > .sorting_3, table.dataTable.display > tbody tr > .sorting_1,
table.dataTable.display > tbody tr > .sorting_2,
table.dataTable.display > tbody tr > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.019);
}
table.dataTable.order-column > tbody tr.selected > .sorting_1,
table.dataTable.order-column > tbody tr.selected > .sorting_2,
table.dataTable.order-column > tbody tr.selected > .sorting_3, table.dataTable.display > tbody tr.selected > .sorting_1,
table.dataTable.display > tbody tr.selected > .sorting_2,
table.dataTable.display > tbody tr.selected > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.919);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.919));
}
table.dataTable.display > tbody > tr.odd > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.odd > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.054);
}
table.dataTable.display > tbody > tr.odd > .sorting_2, table.dataTable.order-column.stripe > tbody > tr.odd > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.047);
}
table.dataTable.display > tbody > tr.odd > .sorting_3, table.dataTable.order-column.stripe > tbody > tr.odd > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.039);
}
table.dataTable.display > tbody > tr.odd.selected > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.odd.selected > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.954);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.954));
}
table.dataTable.display > tbody > tr.odd.selected > .sorting_2, table.dataTable.order-column.stripe > tbody > tr.odd.selected > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.947);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.947));
}
table.dataTable.display > tbody > tr.odd.selected > .sorting_3, table.dataTable.order-column.stripe > tbody > tr.odd.selected > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.939);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.939));
}
table.dataTable.display > tbody > tr.even > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.even > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.019);
}
table.dataTable.display > tbody > tr.even > .sorting_2, table.dataTable.order-column.stripe > tbody > tr.even > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.011);
}
table.dataTable.display > tbody > tr.even > .sorting_3, table.dataTable.order-column.stripe > tbody > tr.even > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.003);
}
table.dataTable.display > tbody > tr.even.selected > .sorting_1, table.dataTable.order-column.stripe > tbody > tr.even.selected > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.919);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.919));
}
table.dataTable.display > tbody > tr.even.selected > .sorting_2, table.dataTable.order-column.stripe > tbody > tr.even.selected > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.911);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.911));
}
table.dataTable.display > tbody > tr.even.selected > .sorting_3, table.dataTable.order-column.stripe > tbody > tr.even.selected > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.903);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.903));
}
table.dataTable.display tbody tr:hover > .sorting_1, table.dataTable.order-column.hover tbody tr:hover > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.082);
}
table.dataTable.display tbody tr:hover > .sorting_2, table.dataTable.order-column.hover tbody tr:hover > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.074);
}
table.dataTable.display tbody tr:hover > .sorting_3, table.dataTable.order-column.hover tbody tr:hover > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(0, 0, 0, 0.062);
}
table.dataTable.display tbody tr:hover.selected > .sorting_1, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_1 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.982);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.982));
}
table.dataTable.display tbody tr:hover.selected > .sorting_2, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_2 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.974);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.974));
}
table.dataTable.display tbody tr:hover.selected > .sorting_3, table.dataTable.order-column.hover tbody tr:hover.selected > .sorting_3 {
  box-shadow: inset 0 0 0 9999px rgba(13, 110, 253, 0.962);
  box-shadow: inset 0 0 0 9999px rgba(var(--dt-row-selected, 0.962));
}
table.dataTable.no-footer {
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}
table.dataTable.compact thead th,
table.dataTable.compact thead td,
table.dataTable.compact tfoot th,
table.dataTable.compact tfoot td,
table.dataTable.compact tbody th,
table.dataTable.compact tbody td {
  padding: 4px;
}
 
table.dataTable th,
table.dataTable td {
  box-sizing: content-box;
}
 
/*
 * Control feature layout
 */
.dataTables_wrapper {
  position: relative;
  clear: both;
}
.dataTables_wrapper .dataTables_length {
  float: left;
}
.dataTables_wrapper .dataTables_length select {
  border: 1px solid #aaa;
  border-radius: 3px;
  padding: 5px;
  background-color: transparent;
  padding: 4px;
}
.dataTables_wrapper .dataTables_filter {
  float: right;
  text-align: right;
}
.dataTables_wrapper .dataTables_filter input {
  border: 1px solid #aaa;
  border-radius: 3px;
  padding: 5px;
  background-color: transparent;
  margin-left: 3px;
}
.dataTables_wrapper .dataTables_info {
  clear: both;
  float: left;
  padding-top: 0.755em;
}
.dataTables_wrapper .dataTables_paginate {
  float: right;
  text-align: right;
  padding-top: 0.25em;
}
.dataTables_wrapper .dataTables_paginate .paginate_button {
  box-sizing: border-box;
  display: inline-block;
  min-width: 1.5em;
  padding: 0.5em 1em;
  margin-left: 2px;
  text-align: center;
  text-decoration: none !important;
  cursor: pointer;
  color: inherit !important;
  border: 1px solid transparent;
  border-radius: 2px;
  background: transparent;
}
.dataTables_wrapper .dataTables_paginate .paginate_button.current, .dataTables_wrapper .dataTables_paginate .paginate_button.current:hover {
  color: inherit !important;
  border: 1px solid rgba(0, 0, 0, 0.3);
  background-color: rgba(230, 230, 230, 0.1);
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(230, 230, 230, 0.1)), color-stop(100%, rgba(0, 0, 0, 0.1)));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
  /* Chrome10+,Safari5.1+ */
  background: -moz-linear-gradient(top, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
  /* FF3.6+ */
  background: -ms-linear-gradient(top, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
  /* IE10+ */
  background: -o-linear-gradient(top, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
  /* Opera 11.10+ */
  background: linear-gradient(to bottom, rgba(230, 230, 230, 0.1) 0%, rgba(0, 0, 0, 0.1) 100%);
  /* W3C */
}
.dataTables_wrapper .dataTables_paginate .paginate_button.disabled, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:hover, .dataTables_wrapper .dataTables_paginate .paginate_button.disabled:active {
  cursor: default;
  color: #666 !important;
  border: 1px solid transparent;
  background: transparent;
  box-shadow: none;
}
.dataTables_wrapper .dataTables_paginate .paginate_button:hover {
  color: white !important;
  border: 1px solid #111111;
  background-color: #585858;
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #585858), color-stop(100%, #111111));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #585858 0%, #111111 100%);
  /* Chrome10+,Safari5.1+ */
  background: -moz-linear-gradient(top, #585858 0%, #111111 100%);
  /* FF3.6+ */
  background: -ms-linear-gradient(top, #585858 0%, #111111 100%);
  /* IE10+ */
  background: -o-linear-gradient(top, #585858 0%, #111111 100%);
  /* Opera 11.10+ */
  background: linear-gradient(to bottom, #585858 0%, #111111 100%);
  /* W3C */
}
.dataTables_wrapper .dataTables_paginate .paginate_button:active {
  outline: none;
  background-color: #2b2b2b;
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #2b2b2b), color-stop(100%, #0c0c0c));
  /* Chrome,Safari4+ */
  background: -webkit-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
  /* Chrome10+,Safari5.1+ */
  background: -moz-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
  /* FF3.6+ */
  background: -ms-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
  /* IE10+ */
  background: -o-linear-gradient(top, #2b2b2b 0%, #0c0c0c 100%);
  /* Opera 11.10+ */
  background: linear-gradient(to bottom, #2b2b2b 0%, #0c0c0c 100%);
  /* W3C */
  box-shadow: inset 0 0 3px #111;
}
.dataTables_wrapper .dataTables_paginate .ellipsis {
  padding: 0 1em;
}
.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter,
.dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_processing,
.dataTables_wrapper .dataTables_paginate {
  color: inherit;
}
.dataTables_wrapper .dataTables_scroll {
  clear: both;
}
.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody {
  -webkit-overflow-scrolling: touch;
}
.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > th, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > td, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > th, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > td {
  vertical-align: middle;
}
.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > th > div.dataTables_sizing,
.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > thead > tr > td > div.dataTables_sizing, .dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > th > div.dataTables_sizing,
.dataTables_wrapper .dataTables_scroll div.dataTables_scrollBody > table > tbody > tr > td > div.dataTables_sizing {
  height: 0;
  overflow: hidden;
  margin: 0 !important;
  padding: 0 !important;
}
.dataTables_wrapper.no-footer .dataTables_scrollBody {
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
}
.dataTables_wrapper.no-footer div.dataTables_scrollHead table.dataTable,
.dataTables_wrapper.no-footer div.dataTables_scrollBody > table {
  border-bottom: none;
}
.dataTables_wrapper:after {
  visibility: hidden;
  display: block;
  content: "";
  clear: both;
  height: 0;
}
 
@media screen and (max-width: 767px) {
  .dataTables_wrapper .dataTables_info,
.dataTables_wrapper .dataTables_paginate {
    float: none;
    text-align: center;
  }
  .dataTables_wrapper .dataTables_paginate {
    margin-top: 0.5em;
  }
}
@media screen and (max-width: 640px) {
  .dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    float: none;
    text-align: center;
  }
  .dataTables_wrapper .dataTables_filter {
    margin-top: 0.5em;
  }
}
